using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Menu : MonoBehaviour
{
    // Start is called before the first frame update
    public Button btnPlay,btnSettings,btnSettingsClose;
    public GameObject settingsPage;
    void Start()
    {
        SoundManager.PlayMusic();
        btnPlay.onClick.AddListener(() =>
        {
            //Logic To Play Sound Button Click
            Debug.Log("Play Button Clicked");
            SoundManager.PlayClip(SoundType.click);
           
        });
        btnSettings.onClick.AddListener(() =>{
            SoundManager.PlayClip(SoundType.click);
            settingsPage.SetActive(true);
            SoundManager.PlayClip(SoundType.pageIn);
        });
        btnSettingsClose.onClick.AddListener(() =>{
            SoundManager.PlayClip(SoundType.click);
            settingsPage.SetActive(false);
            SoundManager.PlayClip(SoundType.pageOut);
        });
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
